Bug 963901 - Create env variables for previously-hardcoded zend endpoints
Create env variables for previously-hardcoded zend endpoints
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Morie
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 14:31 EDT by Paul Morie
Modified: 2015-05-14 19:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 23:59:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Morie 2013-05-16 14:31:25 EDT
Create env variables for previously-hardcoded zend endpoints:

OPENSHIFT_ZEND_CONSOLE_PORT = 16081
OPENSHIFT_ZEND_ZENDSERVER_PORT = 16083
Comment 2 joycezhang 2013-05-17 04:05:21 EDT
Verified this bug on devenv_3235 which was migrated from devenv-stage_353. The env variables are available for zend app after migrating to v2 on devenv_3235 as below:

[hardcode-dmtest1.dev.rhcloud.com 449941093362019214557184]\> env|grep PORT
OPENSHIFT_INTERNAL_PORT=8080
OPENSHIFT_ZEND_CONSOLE_PORT=16081
OPENSHIFT_ZEND_PORT=8080
OPENSHIFT_ZEND_ZENDSERVER_PORT=16083

Note You need to log in before you can comment on or make changes to this bug.